class_name cRoom
extends Resource

var id: int
var name: String
var connections: Array = []
var enemies: Array = []

func add_enemy(enemy):
	if enemy not in enemies:
		enemies.append(enemy)

func remove_enemy(enemy):
	enemies.erase(enemy)
	
func _process(_delta):
	pass
